<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class FRONT_Controller extends Controller {
    function FRONT_Controller()
    {
        parent::Controller();
        
        //$this->load->helper('url');
        $this->load->helper('MY_url');
        
        // 共通の処理をここに書く
        // ...
        
        // DBをチェックし、エラーならばインストーラに飛ばす
        if ($this->db->table_exists('system') == false)
        {
            redirect('install/index');
        }
        
        // ホテル情報をロードする。
        
        $base_url = base_url();
        $current_url = current_url();
        //log_message('debug', 'base_url=' . $base_url);
        //log_message('debug', 'current_url=' . $current_url);
        
        $url = substr($current_url, strlen($base_url));
        //log_message('debug', 'url=' . $url);
        $a = explode('/', $url);
        $hotelid = $a[2];
        //log_message('debug', 'hotelid=' . $hotelid);
        $this->load->vars(array('hotelid' => $hotelid));
        
        $this->db->where('hotelid', $hotelid);
        $query = $this->db->get('hotels', 1);
        if ($query->num_rows() > 0)
        {
            $data['hotel'] = $query->row_array();
            $this->load->vars($data);
        }
        
        $this->load->library('phpsession');
        
        // 設定をロードし、セッションに保存する。
        //$system = $this->phpsession->get('system');
        //if ($system != null)
        //{
            $system = array();
            $query = $this->db->get('system');
            foreach ($query->result() as $row)
            {
                $system[$row->name] = $row->value;
            }
            $this->phpsession->save('system', $system);
        //}
        
        $member = $this->phpsession->get('member');
        if ($member != null)
        {
            $box['loginbox'][0] = '<a href="' . site_url('mypage/index/' . $hotelid) . '">マイページ</a>';
            $box['loginbox'][1] = '<a href="' . site_url('login/logout/' . $hotelid) . '">ログアウト</a>';
        }
        else
        {
            log_message('debug', $system['ssl']);
            if (isset($system['ssl']) && $system['ssl'] == 'true')
            {
                $box['loginbox'][0] = '<a href="' . site_url('login/index/' . $hotelid, true) . '">ログイン</a>';
                $box['loginbox'][1] = '<a href="' . site_url('login/register/' . $hotelid, true) . '">ユーザ登録</a>';
            }
            else
            {
                $box['loginbox'][0] = '<a href="' . site_url('login/index/' . $hotelid) . '">ログイン</a>';
                $box['loginbox'][1] = '<a href="' . site_url('login/register/' . $hotelid) . '">ユーザ登録</a>';
            }
        }
        $this->load->vars($box);
    }
}
?>